
TYPO3.Flow - Bug # 32762

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Utility
Created: 2011-12-21 Assigned To: Karsten Dambekalns
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.0
Subject: Folder removal fails in tests
Description

The same error as we already had it for master now appears on the FLOW3-1.0 branch.

On the CI server we see errors like
1)
TYPO3\FLOW3\Tests\Unit\Resource\Publishing\FileSystemPublishingTargetTest::publishStaticResourcesLinksTheSpecifiedDir
irectoryIfMirrorModeIsLink
TYPO3\FLOW3\Utility\Exception: Could not unlink file
"/tmp/FLOW3FileSystemPublishingTargetTestTarget/_Resources/Static/..".

Note the double dot at the end.

Related issues:
related to TYPO3.Flow - Bug # 32725: Folder removal sometimes fail in tests Resolved 2011-12-20

Associated revisions
Revision fa850f3e - 2011-12-21 22:15 - Karsten Dambekalns

[BUGFIX] Make emptyDirectoryRecursively() ignore . and ..

The check for this breaks when the iterator returns . and .., they are
then handled like files, which cannot work.

Change-Id: I017f584af8445487f026e6cb7bcc6d3cf4d34722
Fixes: #32762
Releases: 1.0

History
#1 - 2011-12-21 22:16 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7471

#2 - 2011-12-21 22:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:fa850f3efd00d37e5124a81c2d809ffdf79349df.
